%define qtdir /usr/lib/qt2
%define KDEDATE 20001017
%define sourcedir CVS
%define KDEDIR /usr

%define omit  --without-libjpeg --without-libgif --without-libgdbm  --without-audiofile
%define extrareq libungif libjpeg >= 6b-5 gdbm rpm >= 2.5 qt2 >= 2.1.1
Name: kdesupport
Obsoletes: kdesupport2 kdesupport2-devel
Summary: K Desktop Environment - Support Libraries
Version: 2.0
Release: 1mdk
Serial: %{KDEDATE}
Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/kdesupport-%{KDEDATE}-src.tar.bz2
Source1: kdesupport-mandrake-2.0.tar.bz2
Source2: kdedesktop2mdkmenu.pl
#Source2: kde-qt-addon-%{KDEDATE}-src.tar.bz2
Group: Graphical desktop/KDE
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: %{extrareq} qt2 >= 2.2-0.6mdk
Prereq: /sbin/ldconfig
#Provides: /usr/lib/libkde-qt-addon.so.3
Prefix: /usr

%package devel
Group: Graphical desktop/KDE
Summary: Header files and documentation for KDE Support Libraries
Requires: qt2-devel >= 2.2-0.6mdk, %{name} = %{version}

%description devel
This package includes some header files you will need to compile
applications for KDE.

%description
Support Libraries for the K Desktop Environment, but not part of it.

Libraries included are: QwSpriteField, js (javascript), uulib, mimelib,
and rdb.   


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -nkdesupport 

# extra scripts for redhat
%setup -nkdesupport -q -T -D  -a1
make -f Makefile.cvs


%build
rm -rf config.cache
export KDEDIR=%{KDEDIR}
export QTDIR=%{qtdir}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -fexceptions -fno-check-new" ./configure \
	--prefix=%{prefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-rpath \
	--disable-path-check %{omit} \
	--disable-debug
	#--enable-debug
make
#cd kde-qt-addon
#make -f Makefile.cvs
#CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --disable-rpath --enable-final
#make
#cd ..

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip
#cd kde-qt-addon
#make install DESTDIR=$RPM_BUILD_ROOT
#cd ..
chmod a+x $RPM_BUILD_ROOT%{prefix}/lib/*
#[ ! -e $RPM_BUILD_ROOT%{prefix}/lib/libQwSpriteField.so ] && ln -s libQwSpriteField.so.1 $RPM_BUILD_ROOT%{prefix}/lib/libQwSpriteField.so
[ ! -e $RPM_BUILD_ROOT%{prefix}/lib/libmimelib.so ] && ln -s libmimelib.so.1 $RPM_BUILD_ROOT%{prefix}/lib/libmimelib.so

# edit the redhat scripts to use %{prefix}
cd $RPM_BUILD_DIR/kdesupport/scripts
for file in * ; do
    if [ -f $file ] ; then
	sed -e "s.@KDEPREFIX@.%{prefix}.g" $file > ../$file
    fi
done
cd ..

install -d $RPM_BUILD_ROOT%{prefix}/bin
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT%{prefix}/bin/kdedesktop2mdkmenu.pl

# install the default user configuration files
#mv etc/skel/kde etc/skel/.kde
#rm -rf etc/skel/.kderc
#mv etc/skel/.kderc etc/skel/.kderc2
#mkdir -p $RPM_BUILD_DIR/etc/skel/.kde/share
#cp -a $RPM_BUILD_DIR/kdesupport/share/config \
#	etc/skel/.kde/share
#cp -a  $RPM_BUILD_DIR/kdesupport/etc $RPM_BUILD_ROOT
# we ignore the share stuff, for now

%post -p /sbin/ldconfig

%postun 
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files 
%attr(-,root,root) %{prefix}/lib/*
#%attr(-,root,root) /etc/*
%attr(-,root,root) %{prefix}/bin/*

%files devel
%attr(-,root,root) %{prefix}/include/*

%changelog
* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated to 2.0 Release Version

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated to 2.0 Release Candidate 1

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-17mdk
- Updates to kdedesktop2mdkmenu.pl from David Faure to account for old (kde1 desktop style).  

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-17mdk
- Updates to kdedesktop2mdkmenu.pl from David Faure.  

* Thu Sep 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-16mdk
- Updates to kdedesktop2mdkmenu.pl from David Faure. Any developer who is 
  keeping a personal copy of this must update!
- This one should fix kcontrol folder icons and descriptions.

* Thu Sep 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-15mdk
- Updates to kdedesktop2mdkmenu.pl from David Faure. Any developer who is 
  keeping a personal copy of this must update!
- This is to fix the screensavers
                                      
* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-14mdk
- Updated code
                                      
* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-13mdk
- Updated code
                                      
* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-12mdk
- Updated code
- New kdedesktop2mdkmenu.pl from Vince

* Fri Sep 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-11mdk
- Updated kdedesktop2mdkmenu.pl - minor correction type in kde_command.

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-10mdk
- Updated kdedesktop2mdkmenu.pl - minor correction script didn't like 5 arguments.

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated kdedesktop2mdkmenu.pl with one from Vince.

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Updated the source code

* Tue Sep 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Put the extensions back into the menu files for icons

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated code        

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Updated code        

* Thu Sep 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated code        
- Put back icon extension in menu method

* Tue Sep 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated  kdedesktop2mdkmenu.pl script to level of one needed now by
  Vincent's new menu method. This needs to be in kdesupport as the rest
  of the packages need it.

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated  kdedesktop2mdkmenu.pl script by David Faure       

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code        

* Sun Sep 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-16mdk
- Changed kdedesktop2mdkmenu script to capture and pass a file name.
  yes, it does matter.

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-15mdk
- Added --disable-debug string. So I forgot :-(

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-14mdk
- Updated code        

* Wed Sep 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-13mdk
- Updated menu script            

* Mon Sep 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-12mdk
- Removed libqwspritefield.so.1 link.

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-11mdk
- updated code

* Thu Aug 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-10mdk
- Removed all /etc/skel files these installed by Mandrake-desk.

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-9mdk
- Updated desktop skel files for CDROM and Floppy fix

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated menu script            

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated menu script            

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Update code                    
- Added David's menu conversion script

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-2mdk
- Rebuild with new qt2 patches

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- updated code
- Rebuild on ke

* Sat Aug 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- updated code
- enable debug - to many issues without

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- updated code

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- updated code

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- updated code
- reworded file list

* Wed Aug 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Added a post of the package

* Tue Aug 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Added a post of the package

* Tue Aug 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code
- Removed kde-qt-addon as this is no longer needed
- Compiled with qt2-2.2

* Thu Aug 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-5mdk
- Updated code
- Removed automatic file list generation
- Remvoed ldconfig crap (leftover from bero)

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Updated code
- Disabled debug code - should help the speed and package size

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code
- changed release number to the standard

* Wed Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Updated code

* Thu Jul 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000720mdk
- Updated code

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Updated code

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Added obsoletes for ktron and kjumpingcube
- Recompile and update code

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Recompile and obsolete kde1

* Tue Jul 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Changed file locations out of opt to /usr/X11R6 with links.
- KDEDIR=/usr/X11R6/kde2
- files installed under /usr/lib/kde2 /usr/bin/kde2 etc.

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- update code snapshot

* Fri Jul 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000707mdk
- updated code snapshot

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- updated code snapshot
- removed kde.sh and kde.csh it was causing problems with kde1.

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- updated code snapshot
- attempt to fix some possible build errors

* Mon Jun 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- updated code snapshot

* Thu Jun 15 2000 Christopher Molnar <molnarc@mandrakesoft.com>
- 1.91-0.20000615mdk
- updated code snapshot

* Wed May 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000531mdk
- Updated code snapshot

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-20000517-1mdk
- Updated to recent beta code and updated for compatability with KDE1.x

* Tue May 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-1mdk
- Compiled for Mandrake

* Wed May 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.90

* Tue Apr  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add kde-qt-addons
- Don't compile audiofile, we have that in a separate package

* Tue Oct 12 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshot
- split into kdesupport and -devel
- fix handling of RPM_OPT_FLAGS
- Redo the redhat-support files for 2.0
- --enable-final

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- fix up kde.sh and kde.csh scripts for relocatibility
- put docs under %{prefix}/doc/kde

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- updated templates from kdebase

* Mon Sep 07 1999 Preston Brown <pbrown@redhat.com>
- packaged 1.1.2 release

* Mon Jul 11 1999 Preston Brown <pbrown@redhat.com>
- fixed broken kde.csh startup script.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- quite a few bugfixes and the latest snapshot

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- updated some of the default configuration information
- made the printer icon use klpq not lpr

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- stop warning message at installation time if ld.so.conf nonexistent

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- fixed substitution of KDEPREFIX in shell scripts

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- snapshot from stable tree, improvements

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.
- removed installation of /etc/skel/.Xclients.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgrade to KDE 1.1 final.

* Tue Jan 05 1998 Preston Brown <pbrown@redhat.com>
- again, integrated changes from Duncan Haldane
o KDE 1.1 final.

* Tue Jan 05 1998 Preston Brown <pbrown@redhat.com>
- again, integrated changes from Duncan Haldane
